Page MenuHomeFreeBSD

Merge in updates for mipsn32 and 32-bit arm.
ClosedPublic

Authored by jhb on Oct 9 2017, 6:09 PM.

Details

Summary
  • Brings in upstream commits to fix debugging on mipsn32 (properly parsing registers and signal information in core dumps as well as unwinding across signal frames)
  • Brings in reworked ARM support. Portions of this (support for new AT_* values and NT_ARM_VFP core dump note) are already upstreamed, but the main FreeBSD arm bits are still pending review. Compared to the existing patch-armfbsd, these versions include generic FreeBSD target support (auxv, thread names from cores, $_siginfo, syscall names, etc.) as well as VFP support and an unwinder for signal frames.
Test Plan
  • Tested GDB on a RPI 2 with some simple test programs.
  • Tested GDB in a mipsn32 qemu instance with some simple test programs.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Oct 9 2017, 6:09 PM
jhb updated this revision to Diff 33871.Oct 10 2017, 8:34 PM
  • Use older regcache functions for 8.0.1.
pizzamig accepted this revision.Oct 13 2017, 9:40 AM

Built on i386 and amd64 on all supported FreeBSD version
Passed my test suite

Macro lgtm:

This revision is now accepted and ready to land.Oct 13 2017, 9:40 AM
This revision was automatically updated to reflect the committed changes.